Loading...
Searching...
No Matches
proclevel Class Reference

`#include <ipid.h>`

## Public Member Functions

| proclevel ()
void | push (char *)
void | pop ()

## Data Fields

proclevel * | next
idhdl | cPackHdl
package | cPack
char * | name

## Detailed Description

Definition at line 55 of file ipid.h.

## Constructor & Destructor Documentation

## proclevel()

proclevel::proclevel | ( |  | ) |

inline

Definition at line 62 of file ipid.h.

{ memset(this,0,sizeof(*this)); }

## Member Function Documentation

## pop()

void proclevel::pop | ( |  | ) |

Definition at line 810 of file ipid.cc.

{
//Print("pop %s\n",name);
//if (currRing!=::currRing) PrintS("currRing wrong\n");;
//::currRing=this->currRing;
//if (r==NULL) Print("set ring to NULL at lev %d(%s)\n",myynest,name);
//::currRingHdl=this->currRingHdl;
//if((::currRingHdl==NULL)||(IDRING(::currRingHdl)!=(::currRing)))
// ::currRingHdl=rFindHdl(::currRing,NULL,NULL);
//Print("restore pack=%s,1.obj=%s\n",IDID(currPackHdl),IDID(currPack->idroot));
currPackHdl=this->cPackHdl;
currPack=this->cPack;
iiCheckPack(currPack);
proclevel *p=this;
procstack=next;
omFreeSize(p,sizeof(proclevel));
}
p
int p
Definition cfModGcd.cc:4086
proclevel::next
proclevel * next
Definition ipid.h:58
proclevel::cPack
package cPack
Definition ipid.h:60
proclevel::cPackHdl
idhdl cPackHdl
Definition ipid.h:59
proclevel::proclevel
proclevel()
Definition ipid.h:62
procstack
EXTERN_VAR proclevel * procstack
Definition ipid.h:66
currPack
EXTERN_VAR package currPack
Definition ipid.h:17
currPackHdl
EXTERN_VAR idhdl currPackHdl
Definition ipid.h:15
iiCheckPack
void iiCheckPack(package &p)
Definition ipshell.cc:1631
omFreeSize
#define omFreeSize(addr, size)
Definition omAllocDecl.h:260

## push()

void proclevel::push | ( | char * | n | ) |

Definition at line 800 of file ipid.cc.

{
//Print("push %s\n",n);
proclevel *p=(proclevel*)omAlloc0(sizeof(proclevel));
p->name=n;
p->cPackHdl=currPackHdl;
p->cPack=currPack;
p->next=this;
procstack=p;
}
idrec::next
idhdl next
Definition idrec.h:38
omAlloc0
#define omAlloc0(size)
Definition omAllocDecl.h:211

## Field Documentation

## cPack

package proclevel::cPack

Definition at line 60 of file ipid.h.

## cPackHdl

idhdl proclevel::cPackHdl

Definition at line 59 of file ipid.h.

## name

char* proclevel::name

Definition at line 61 of file ipid.h.

## next

proclevel* proclevel::next

Definition at line 58 of file ipid.h.

The documentation for this class was generated from the following files:

- Singular/ipid.h
- Singular/ipid.cc